#!/bin/bash
var=$1
. ./hosts.sh

for host_node in ${ManageClientHost[*]}; do
        echo "start collect dmidecode for host node" >> ./dmidecode_info/node_${host_node}_dmidecode_${var}.txt
        echo "-----------$host_node----------------" >> ./dmidecode_info/node_${host_node}_dmidecode_${var}.txt
        ssh root@$host_node "date  +%Y-%m-%d-%H:%M:%s.%N;dmidecode; date  +%Y-%m-%d-%H:%M:%s.%N" >>  ./dmidecode_info/node_${host_node}_dmidecode_${var}.txt
done
for storage_node in ${clusterHosts[*]}; do
        echo "start collect dmidecode for storage node" >> ./dmidecode_info/node_${storage_node}_dmidecode_$var.txt
        echo "-----------$storage_node----------------" >> ./dmidecode_info/node_${storage_node}_dmidecode_$var.txt
        ssh root@$storage_node "date  +%Y-%m-%d-%H:%M:%s.%N;dmidecode ;date  +%Y-%m-%d-%H:%M:%s.%N;" >>  ./dmidecode_info/node_${storage_node}_dmidecode_${var}.txt
done

